# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::StencilFunc Class Reference

Wraps the OpenGL functions glStencilFunc() and glStencilFuncSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilFunc.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilFuncSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::StencilFunc:

List of all members.

## Public Member Functions
| StencilFunc (EFunction function=FU_ALWAYS, int refvalue=0, unsigned int mask=~(unsigned int) 0)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EPolygonFace face, EFunction function, int refvalue, unsigned int mask)
EFunction | function_Front () const
int | refValue_Front () const
unsigned int | mask_Front () const
EFunction | function_Back () const
int | refValue_Back () const
unsigned int | mask_Back () const
## Protected Attributes
EFunction | mFunction_Front
EFunction | mFunction_Back
int | mRefValue_Front
int | mRefValue_Back
unsigned int | mMask_Front
unsigned int | mMask_Back

## Detailed Description

Wraps the OpenGL functions glStencilFunc() and glStencilFuncSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilFunc.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilFuncSeparate.xml for more information.

See also:
  Shader, Effect, Actor, StencilMask, StencilOp, vl::EN_STENCIL_TEST

## Constructor & Destructor Documentation

vl::StencilFunc::StencilFunc | ( | EFunction | function = `FU_ALWAYS`,
|  | int | refvalue = `0`,
|  | unsigned int | mask = `~(unsigned int)0` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::StencilFunc::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::StencilFunc::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void StencilFunc::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::StencilFunc::set | ( | EPolygonFace | face,
|  | EFunction | function,
|  | int | refvalue,
|  | unsigned int | mask |
| ) |  |  | `[inline]`

EFunction vl::StencilFunc::function_Front | ( |  | ) | const`[inline]`

int vl::StencilFunc::refValue_Front | ( |  | ) | const`[inline]`

unsigned int vl::StencilFunc::mask_Front | ( |  | ) | const`[inline]`

EFunction vl::StencilFunc::function_Back | ( |  | ) | const`[inline]`

int vl::StencilFunc::refValue_Back | ( |  | ) | const`[inline]`

unsigned int vl::StencilFunc::mask_Back | ( |  | ) | const`[inline]`

## Member Data Documentation

EFunction vl::StencilFunc::mFunction_Front`[protected]`

EFunction vl::StencilFunc::mFunction_Back`[protected]`

int vl::StencilFunc::mRefValue_Front`[protected]`

int vl::StencilFunc::mRefValue_Back`[protected]`

unsigned int vl::StencilFunc::mMask_Front`[protected]`

unsigned int vl::StencilFunc::mMask_Back`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.